<%
/**
 * Copyright (c) 2009 Robisoft, Inc. All rights reserved.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
%>

<%@ include file="/html/portlet/worldtimeclock_portlet/init.jsp" %>

<table class="times">
<form name="worldzones">
  <tr>
    <td width="50%">
  <select name="city" size="1" onchange="updateclock(this);"> 
    <option value="" selected>Local time</option>
    <option value="0">London</option> 
    <option value="1">Rome</option>
    <option value="2">Athens</option>
    <option value="2">Helsinki</option>
    <option value="3">Magadishu</option>
    <option value="3">Riyadh</option>
    <option value="4">Dubai</option>
    <option value="4">Seychelles</option>
    <option value="7">Bangkok</option>
    <option value="5.5">Bangalore</option>
    <option value="5.5">Chennai</option>
    <option value="5.5">Mumbai</option>
    <option value="8">Hong Kong</option>
    <option value="9">Tokyo</option> 
    <option value="10">Sydney</option>
    <option value="12">Fiji</option>
    <option value="-10">Hawaii</option>
    <option value="-5">Atlanta</option>
    <option value="-8">San Francisco</option> 
    <option value="-5">New York</option>
    <option value="-6">Dallas</option>
    <option value="-6">Chicago</option>
    <option value="-5">Miami</option>
    <option value="-8">Seattle</option> 
    <option value="-3">Buenos Aires</option>
  </select>
</td>
 <td width="50%">
<script language="JavaScript">

if (document.all||document.getElementById)
document.write('<span id="worldclock" style="font:bold 16px Arial;"></span><br />')

zone=0;
diff=0;
isitlocal=true;
ampm='';

function updateclock(z){
zone=z.options[z.selectedIndex].value;
if (zone.indexOf(".5")!=-1) 
 diff = 30;
else
 diff = 0;
isitlocal=(z.options[0].selected)?true:false;
}

function WorldClock(){
now=new Date();
ofst=now.getTimezoneOffset()/60;
secs=now.getSeconds();
sec=-1.57+Math.PI*secs/30;
mins=now.getMinutes();
if (diff == 30) mins+=30;
if (mins > 59) mins-=59;
min=-1.57+Math.PI*mins/30;
hr=(isitlocal)?now.getHours():(now.getHours() + parseInt(ofst)) + parseInt(zone);
hrs=-1.575+Math.PI*hr/6+Math.PI*parseInt(now.getMinutes())/360;
if (hr < 0) hr+=24;
if (hr > 23) hr-=24;
ampm = (hr > 11)?"PM":"AM";
statusampm = ampm.toLowerCase();

hr2 = hr;
if (hr2 == 0) hr2=12;
(hr2 < 13)?hr2:hr2 %= 12;
if (hr2<10) hr2="0"+hr2

var finaltime=hr2+':'+((mins < 10)?"0"+mins:mins)+':'+((secs < 10)?"0"+secs:secs)+' '+statusampm;

if (document.all)
worldclock.innerHTML=finaltime
else if (document.getElementById)
document.getElementById("worldclock").innerHTML=finaltime
else if (document.layers){
document.worldclockns.document.worldclockns2.document.write(finaltime)
document.worldclockns.document.worldclockns2.document.close()
}


setTimeout('WorldClock()',1000);
}

window.onload=WorldClock
//-->

</script>
</td>
</form>
  </tr>
</table>